<?php
/*
Name: Full Width Container
Author: BinaryTurf.Com	
Description: Full-Width Container Just Like In Old Thesis 1.x
Version: 1.0.0
Class: bt_fullwidth_container_box
*/

class bt_fullwidth_container_box extends thesis_html_container {
	public $type = 'rotator';

	protected function translate() {
		$this->title = $this->name = __('Full-Width Container', 'bt');
	}

	protected function options() {
		global $thesis;
		return array_merge($thesis->api->html_options(array(
			'div' => 'div',
			'section' => 'section',			
			'hgroup' => 'hgroup',
			'header' => 'header',
			'footer' => 'footer',			
			'nav' => 'nav',
			'span' => 'span'), 'div'), array(
			'hook' => array(
				'type' => 'text',
				'width' => 'medium',
				'code' => true,
				'label' => $thesis->api->strings['hook_label'],
				'tooltip' => $thesis->api->strings['hook_tooltip_1'] .
				'<br /><br /><code>thesis_hook_before_container_{name}</code><br /><code>thesis_hook_container_{name}_top</code><br /><code>thesis_hook_container_{name}_bottom</code><br /><code>thesis_hook_after_container_{name}</code><br /><br />' . 
				$thesis->api->strings['hook_tooltip_2'])) 
				  );
	}

	public function html($args = false) {
		global $thesis;
		extract($args = is_array($args) ? $args : array());
		$tab = str_repeat("\t", $depth = !empty($depth) ? $depth : 0);
		$html = !empty($this->options['html']) ? $this->options['html'] : 'div';
		$hook = !empty($this->options['hook']) ? 'container_' . trim($thesis->api->esc($this->options['hook'])) : $this->_id;
		
		do_action("thesis_hook_before_$hook");
		echo
			"$tab<$html". (!empty($this->options['id']) ? ' id="' . trim($thesis->api->esc($this->options['id'])) . '"' : '').
			(!empty($this->options['class']) ? ' class="' . trim($thesis->api->esc($this->options['class'])) . '"' : ' class="full_width"') . ">".
			"<$html". (!empty($this->options['child_id']) ? ' id="' . trim($thesis->api->esc($this->options['child_id'])) . '"' : '').
			(!empty($this->options['child_class']) ? ' class="' . trim($thesis->api->esc($this->options['child_class'])) . '"' : ' class="page"') . ">".
			"\n";
		do_action("thesis_hook_{$hook}_top");
		$this->rotator(array_merge($args, array('depth' => $depth + 1)));
		do_action("thesis_hook_{$hook}_bottom");
		
		echo
			"$tab</$html></$html>\n";
			
		do_action("thesis_hook_after_$hook");
	}
}